import { join } from 'path'
import babel from "@rollup/plugin-babel"
import { terser } from 'rollup-plugin-terser';

const cwd = __dirname

export default {
  input: join(cwd, 'index.js'),
  output: [
    {
      file: join(cwd, 'lib/index.esm.js'),
      format: 'esm',
      name: 'library',
      sourcemap: true
    },
    {
      file: join(cwd, 'lib/index.js'),
      format: 'umd',
      name: 'library',
      sourcemap: true
    }
  ],
  plugins: [
    babel({
      exclude: "node_modules/**"
    }),
    terser(),
  ]
};
